Package org.springframework.security.core.context

# Interface SecurityContextChangedListener

All Known Implementing Classes:
  `ObservationSecurityContextChangedListener`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface SecurityContextChangedListener
A listener for `SecurityContextChangedEvent`s

Since:
  5.6

## Method Summary

Modifier and Type
Method
Description
`void`
`securityContextChanged(SecurityContextChangedEvent event)`

## Method Details

### securityContextChanged

void securityContextChanged(SecurityContextChangedEvent event)